package com.hzya.frame.plugin.lets.u8cdto;

/**
 * 现存量查询入参
 *
 * @author liuyang
 */
public class QuantityHandRequestDto {
    private String batchcode;
    private String calbody;
    private String castunit;
    private String corp;
    private String hsl;
    private String inventory;
    private String isGroupByBatchcode;
    private String isGroupByCalbody;
    private String isGroupByCastunit;
    private String isGroupByFreeItem;
    private String isGroupByHsl;
    private String isGroupByInv;
    private String isGroupBySpace;
    private String isGroupByVendor;
    private String isGroupByWarehouse;
    private String numcondition;
    private String pagenow;
    private String pagesize;
    private String space;
    private String vendor;
    private String warehouse;

    public String getBatchcode() {
        return batchcode;
    }

    public void setBatchcode(String batchcode) {
        this.batchcode = batchcode;
    }

    public String getCalbody() {
        return calbody;
    }

    public void setCalbody(String calbody) {
        this.calbody = calbody;
    }

    public String getCastunit() {
        return castunit;
    }

    public void setCastunit(String castunit) {
        this.castunit = castunit;
    }

    public String getCorp() {
        return corp;
    }

    public void setCorp(String corp) {
        this.corp = corp;
    }

    public String getHsl() {
        return hsl;
    }

    public void setHsl(String hsl) {
        this.hsl = hsl;
    }

    public String getInventory() {
        return inventory;
    }

    public void setInventory(String inventory) {
        this.inventory = inventory;
    }

    public String getIsGroupByBatchcode() {
        return isGroupByBatchcode;
    }

    public void setIsGroupByBatchcode(String isGroupByBatchcode) {
        this.isGroupByBatchcode = isGroupByBatchcode;
    }

    public String getIsGroupByCalbody() {
        return isGroupByCalbody;
    }

    public void setIsGroupByCalbody(String isGroupByCalbody) {
        this.isGroupByCalbody = isGroupByCalbody;
    }

    public String getIsGroupByCastunit() {
        return isGroupByCastunit;
    }

    public void setIsGroupByCastunit(String isGroupByCastunit) {
        this.isGroupByCastunit = isGroupByCastunit;
    }

    public String getIsGroupByFreeItem() {
        return isGroupByFreeItem;
    }

    public void setIsGroupByFreeItem(String isGroupByFreeItem) {
        this.isGroupByFreeItem = isGroupByFreeItem;
    }

    public String getIsGroupByHsl() {
        return isGroupByHsl;
    }

    public void setIsGroupByHsl(String isGroupByHsl) {
        this.isGroupByHsl = isGroupByHsl;
    }

    public String getIsGroupByInv() {
        return isGroupByInv;
    }

    public void setIsGroupByInv(String isGroupByInv) {
        this.isGroupByInv = isGroupByInv;
    }

    public String getIsGroupBySpace() {
        return isGroupBySpace;
    }

    public void setIsGroupBySpace(String isGroupBySpace) {
        this.isGroupBySpace = isGroupBySpace;
    }

    public String getIsGroupByVendor() {
        return isGroupByVendor;
    }

    public void setIsGroupByVendor(String isGroupByVendor) {
        this.isGroupByVendor = isGroupByVendor;
    }

    public String getIsGroupByWarehouse() {
        return isGroupByWarehouse;
    }

    public void setIsGroupByWarehouse(String isGroupByWarehouse) {
        this.isGroupByWarehouse = isGroupByWarehouse;
    }

    public String getNumcondition() {
        return numcondition;
    }

    public void setNumcondition(String numcondition) {
        this.numcondition = numcondition;
    }

    public String getPagenow() {
        return pagenow;
    }

    public void setPagenow(String pagenow) {
        this.pagenow = pagenow;
    }

    public String getPagesize() {
        return pagesize;
    }

    public void setPagesize(String pagesize) {
        this.pagesize = pagesize;
    }

    public String getSpace() {
        return space;
    }

    public void setSpace(String space) {
        this.space = space;
    }

    public String getVendor() {
        return vendor;
    }

    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    public String getWarehouse() {
        return warehouse;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }
}
